org.bdgenomics.adam.rdd.read

# AlignmentRecordRDD

###
Related Docs: class AlignmentRecordRDD | package read

#### object AlignmentRecordRDD extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AlignmentRecordRDD
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val WRITE_ORIGINAL_QUALITIES: String

   Hadoop configuration path to check for a boolean value indicating whether the current or original read qualities should be written.

   Hadoop configuration path to check for a boolean value indicating whether the current or original read qualities should be written. True indicates to write the original qualities. The default is false.

5. #### val WRITE_SUFFIXES: String

   Hadoop configuration path to check for a boolean value indicating whether to write the "/1" "/2" suffixes to the read name that indicate whether a read is first or second in a pair.

   Hadoop configuration path to check for a boolean value indicating whether to write the "/1" "/2" suffixes to the read name that indicate whether a read is first or second in a pair. Default is false (no suffixes).

6. #### def apply(ds: Dataset[AlignmentRecord], sequences: SequenceDictionary, recordGroups: RecordGroupDictionary, processingSteps: Seq[ProcessingStep]): AlignmentRecordRDD

7. #### def apply(rdd: RDD[AlignmentRecord], sequences: SequenceDictionary, recordGroups: RecordGroupDictionary, processingSteps: Seq[ProcessingStep]): AlignmentRecordRDD

   Builds an AlignmentRecordRDD without a partition map.

   Builds an AlignmentRecordRDD without a partition map.

   rdd

     The underlying AlignmentRecord RDD.

   sequences

     The sequence dictionary for the RDD.

   recordGroups

     The record group dictionary for the RDD.

   returns

     A new AlignmentRecordRDD.

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### def unaligned(rdd: RDD[AlignmentRecord]): AlignmentRecordRDD

    Builds an AlignmentRecordRDD for unaligned reads.

    Builds an AlignmentRecordRDD for unaligned reads.

    rdd

      The underlying AlignmentRecord RDD.

    returns

      A new AlignmentRecordRDD.

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped